## com.sun.jersey.core.util
Class PriorityUtil

    java.lang.Object
      com.sun.jersey.core.util.PriorityUtil

    public class PriorityUtil

extends java.lang.Object

Utility code for work with `Priority` annotated types.

Author:
  Jakub Podlesak (jakub.podlesak at oracle.com)

Nested Class Summary
`static class` `PriorityUtil.InstanceComparator` Comparator for instances of types annotated with Priority annotation.
`static class` `PriorityUtil.TypeComparator` Comparator for types annotated with Priority annotation.

Field Summary
`static int` `DEFAULT_PRIORITY` Default priority value for factory types that do not have their priority set explicitly using `Priority` annotation.
`static PriorityUtil.InstanceComparator` `INSTANCE_COMPARATOR` Convenience comparator instance.

Constructor Summary
`PriorityUtil()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PRIORITY

    public static final int DEFAULT_PRIORITY

  Default priority value for factory types that do not have their priority set explicitly using `Priority` annotation.

  See Also:
    Constant Field Values

### INSTANCE_COMPARATOR

    public static final PriorityUtil.InstanceComparator INSTANCE_COMPARATOR

  Convenience comparator instance.

Constructor Detail

### PriorityUtil

    public PriorityUtil()

Copyright © 2017 Oracle Corporation. All Rights Reserved.